<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowDlg Method (IEdmAddCustomRefs)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddCustomRefs Interface : ShowDlg Method (IEdmAddCustomRefs)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle

Displays the Create File References dialog box that allows the user to edit the new file references.

# Syntax

Visual Basic |
--- | ---

    Function ShowDlg( _
       ByVal hParentWnd As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool ShowDlg(
       System.int hParentWnd
    )

C++/CLI |
--- | ---

    System.bool ShowDlg(
    &   System.int hParentWnd
    )

#### Parameters

hParentWnd
  Parent window handle

#### Return Value

True if the user clicked OK, false if the user clicked Cancel

# Example

Add Custom File Reference (VB.NET)
Add Custom File Reference (C#)

# Remarks

Before calling this method, call IEdmAddCustomRefs::CreateTree to compute the file reference tree.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddCustomRefs Interface
IEdmAddCustomRefs Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional